petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMAdaptMetric

Generates a mesh adapted to the specified metric field using the pragmatic library.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMAdaptMetric(DM dm, Vec metric, DMLabel bdLabel, DM *dmAdapt)

### Input Parameters

| dm | - The DM object
| metric | - The metric to which the mesh is adapted, defined vertex-wise.
| bdLabel | - Label for boundary tags, which will be preserved in the output mesh. bdLabel should be NULL if there is no such label, and should be different from "_boundary_".

### Output Parameter

dmAdapt -Pointer to the DM object containing the adapted mesh

Note: The label in the adapted mesh will be registered under the name of the input DMLabel object

### See Also

DMAdaptLabel(), DMCoarsen(), DMRefine()

### Level

advanced

### Location

src/dm/interface/dm.c

### Implementations

DMAdaptMetric_Plex in src/dm/impls/plex/plexadapt.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages